Subject: bug#54633: [PATCH] * configure.ac: Fix --without-gif for W32, NS, Haiku, and PGTK.

From: Po Lu <[email-masked]>
Date: Wed, 30 Mar 2022 21:39:36 +0800

Randy Taylor <[email-masked]> writes:

> If someone specifies "--without-gif", then Emacs should not build with
> gif support. That is why I made the check to apply for all
> systems. The same behaviour already applies to all the other formats,
> like SVG which I mentioned.

Emacs built without libgif on NS or Haiku will still result in a build
that can display GIF files, since native image APIs are enabled by
default on both those platforms.  (On Haiku the relevant translator also
has to be installed, but it comes in a default installation.)